nn.pp.rccore

## Interface IUsbProfile

- All Known Implementing Classes:
    UsbProfile

      public interface IUsbProfile

  Represents a USB profile.

  KX uses CIMs to connect to the target servers. The CIMs have USB ports which emulate virtual USB devices (e.g. used for Audio, Virtual Media, Keyboard and Mouse). An USB Profile represents a configuration of these virtual USB devices. The user can select between USB configurations to work-around issues, mostly in the target's BIOS, but also in some operating systems.

  See Also:
    `IUsbProfileList`, `RCCore.getUsbProfileList()`, `RCCore.requestUsbProfileChange(int)`, `VirtualMediaInfoListener.usbProfileListChanged(IUsbProfileList)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` Get a more detailled description of the USB profile
    `int` | `getId()` Get the numerical identifier of the USB profile
    `java.lang.String` | `getName()` Get the name of the USB profile
    `boolean` | `isSelected()` Is the USB profile in the list of selected profiles?

- - ### Method Detail

    - #### getId

          int getId()

      Get the numerical identifier of the USB profile
      Returns:
        the numerical identifier of the USB profile

    - #### getName

          java.lang.String getName()

      Get the name of the USB profile
      Returns:
        the name of the USB profile

    - #### getDescription

          java.lang.String getDescription()

      Get a more detailled description of the USB profile
      Returns:
        a more detailled description of the USB profile

    - #### isSelected

          boolean isSelected()

      Is the USB profile in the list of selected profiles?

      The user can add a number of USB profiles into a list of "selected" profiles, which may be displayed in the GUI with higher priority or at a more prominent location.

      Returns:
        true if the USB profile is a selected profile, false otherwise

Copyright © 2025 Raritan Inc. All Rights Reserved.